summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-04-10 09:56:18 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-04-10 09:56:18 +0200
commitcdb17ae9816170f7b96a6225c68205cdd9b219a1 (patch)
tree65fab7781e2272be1687592f75a14af4c05a29a2 /sys-devel/bc
parentsys-devel/bc: Removed old. (diff)
downloadgentoo-cdb17ae9816170f7b96a6225c68205cdd9b219a1.tar.gz
gentoo-cdb17ae9816170f7b96a6225c68205cdd9b219a1.tar.bz2
gentoo-cdb17ae9816170f7b96a6225c68205cdd9b219a1.zip
Revert "sys-devel/bc: Removed old."
This reverts commit 2bd9a41efc125c3bacf5e2cfb48ca4ea40855dc6. Accidently combined version bump with removal.
Diffstat (limited to 'sys-devel/bc')
-rw-r--r--sys-devel/bc/Manifest1
-rw-r--r--sys-devel/bc/bc-1.06.95.ebuild38
-rw-r--r--sys-devel/bc/bc-1.07.1.ebuild49
3 files changed, 38 insertions, 50 deletions
diff --git a/sys-devel/bc/Manifest b/sys-devel/bc/Manifest
index 5a363bbb854..2bf857b81f1 100644
--- a/sys-devel/bc/Manifest
+++ b/sys-devel/bc/Manifest
@@ -1,2 +1 @@
DIST bc-1.06.95.tar.bz2 290069 SHA256 7ee4abbcfac03d8a6e1a8a3440558a3d239d6b858585063e745c760957725ecc SHA512 16ec13f87ef76ad4de77d378ef8d65a582adca1bf661c9d7675e78d940680c77e81a00a01817fde7c1ad1524562d6f933caa5c42a0686f3f85aadbb39393afb1 WHIRLPOOL e91adb7b1fd42c4d47dad76f994c51ee7a8d962a24cb1b0cbeaa992fe1be59878016d5883506ec4153293daf48fbe3f345bb88fbe3f6276b3353c89573a612af
-DIST bc-1.07.1.tar.gz 419850 SHA256 62adfca89b0a1c0164c2cdca59ca210c1d44c3ffc46daf9931cf4942664cb02a SHA512 02126d0db6b6ed06d56cfc292d6f5475ff1e574779d7e69c7809bbb1e13f946f57ea07da2a7666baa092507a951a822044b0970075f75eefe65a5c1999b75d34 WHIRLPOOL 87a9c0a5b7b2af082d59002147cd05cef7612a66f83ca688e6572ed2bbbdddcec945e7b8a0ee6e865f0142d31801ee3167b7eff023be8054d897d755bd282a2d
diff --git a/sys-devel/bc/bc-1.06.95.ebuild b/sys-devel/bc/bc-1.06.95.ebuild
new file mode 100644
index 00000000000..d43d9065cfd
--- /dev/null
+++ b/sys-devel/bc/bc-1.06.95.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+inherit eutils flag-o-matic toolchain-funcs
+
+DESCRIPTION="Handy console-based calculator utility"
+HOMEPAGE="https://www.gnu.org/software/bc/bc.html"
+SRC_URI="mirror://gnu-alpha/bc/${P}.tar.bz2
+ mirror://gnu/bc/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="libedit readline static"
+
+RDEPEND="readline? ( >=sys-libs/readline-4.1 >=sys-libs/ncurses-5.2 )
+ libedit? ( dev-libs/libedit )"
+DEPEND="${RDEPEND}
+ sys-devel/flex"
+
+src_compile() {
+ local myconf
+ if use readline ; then
+ myconf="--with-readline --without-libedit"
+ elif use libedit ; then
+ myconf="--without-readline --with-libedit"
+ else
+ myconf="--without-readline --without-libedit"
+ fi
+ use static && append-ldflags -static
+ econf ${myconf} || die
+ emake || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ dodoc AUTHORS FAQ NEWS README ChangeLog
+}
diff --git a/sys-devel/bc/bc-1.07.1.ebuild b/sys-devel/bc/bc-1.07.1.ebuild
deleted file mode 100644
index 251b67cd000..00000000000
--- a/sys-devel/bc/bc-1.07.1.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="5"
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="Handy console-based calculator utility"
-HOMEPAGE="https://www.gnu.org/software/bc/bc.html"
-SRC_URI="mirror://gnu-alpha/bc/${P}.tar.gz
- mirror://gnu/bc/${P}.tar.gz"
-
-LICENSE="GPL-2 LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="libedit readline static"
-
-RDEPEND="!readline? ( libedit? ( dev-libs/libedit:= ) )
- readline? (
- >=sys-libs/readline-4.1:0=
- >=sys-libs/ncurses-5.2:=
- )"
-DEPEND="${RDEPEND}
- sys-devel/flex"
-
-src_configure() {
- local libedit
- if use readline ; then
- libedit="--without-libedit"
- else
- libedit=$(use_with libedit)
- fi
- use static && append-ldflags -static
- # Clobber any CONFIG_SHELL setting the user has forced on us.
- # We should be able to delete this w/the next release as it
- # should use updated autoconf.
- CONFIG_SHELL=/bin/bash \
- econf \
- $(use_with readline) \
- ${libedit}
-
- # Do not regen docs -- configure produces a small fragment that includes
- # the version info which causes all pages to regen (newer file). #554774
- touch -r doc doc/*
-}
-
-src_compile() {
- emake AR="$(tc-getAR)"
-}